Bug 451542 - Review-Request: perl-Algorithm-Permute - Handy and fast permutation with object oriented interface
Review-Request: perl-Algorithm-Permute - Handy and fast permutation with obje...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
http://v3.sk/~lkundrak/SPECS/perl-Alg...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-15 08:57 EDT by Lubomir Rintel
Modified: 2008-06-23 15:04 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-23 15:04:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Lubomir Rintel 2008-06-15 08:57:15 EDT
SPEC: http://v3.sk/~lkundrak/SPECS/perl-Algorithm-Permute.spec
SRPM: http://v3.sk/~lkundrak/SRPMS/perl-Algorithm-Permute-0.12-1.el5.src.rpm

Description:

This handy module makes performing permutation in Perl easy and fast,
although perhaps its algorithm is not the fastest on the earth. It supports
permutation r of n objects where 0 < r <= n.
Comment 1 Parag AN(पराग) 2008-06-18 06:00:55 EDT
Review:
+ package builds in mock.
Koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=667767
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
93c9e11af9511390379720fe046fb960  Algorithm-Permute-0.12.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test are ok with some tests got skipped
+ Package perl-Algorithm-Permute-0.12-1.fc10 =>
Provides: Permute.so perl(Algorithm::Permute) = 0.12
Requires: libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1.3)
perl(:MODULE_COMPAT_5.10.0) perl(AutoLoader) perl(DynaLoader) perl(Exporter)
perl(strict) perl(vars) rtld(GNU_HASH)

APPROVED.
Comment 2 Lubomir Rintel 2008-06-23 04:00:33 EDT
Thanks for the review Parag!

New Package CVS Request
=======================
Package Name: perl-Algorithm-Permute
Short Description: Handy and fast permutation with object oriented interface
Owners: lkundrak
Branches: F-8 F-9 EL-5
Cvsextras Commits: yes
Comment 3 Kevin Fenzi 2008-06-23 11:33:19 EDT
cvs done.
Comment 4 Lubomir Rintel 2008-06-23 15:04:06 EDT
Thanks Parag, thanks Kevin.
Imported and built.

Note You need to log in before you can comment on or make changes to this bug.